### Virtual Method

# Gtk LayoutManager get_request_mode

#### Declaration [src]

    GtkSizeRequestMode
    get_request_mode (
      GtkLayoutManager* manager,
      GtkWidget* widget
    )

#### Description [src]

A virtual function, used to return the preferred request mode for the layout manager; for instance, “width for height” or “height for width”; see `GtkSizeRequestMode`.

#### Parameters

`widget`

  Type: `GtkWidget`

  No description available.

  The data is owned by the caller of the method.

#### Return value

Type: `GtkSizeRequestMode`

No description available.